#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--bg-color);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 101;
    transition: opacity 1s ease-out;
  }


  #preloader .loadbox{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width:100vw;
    -webkit-box-reflect: below 1px linear-gradient(transparent, #0004);
    animation: animateLoadingSurface 1.5s ease-in-out infinite;
    rotate: -35deg;
    }


    #preloader .loadbox .spinner {
    position: relative;
    width: 7.5rem;
    height: 7.5rem;
    background: var(--main-color);
    box-shadow: 0 0 5px rgba(255,0,0,1), 
    0 0 25px rgba(255,0,0,1), 
    0 0 50px rgba(255,0,0,1), 
    0 0 100px rgba(255,0,0,1), 
    0 0 200px rgba(255,0,0,0.5), 
    0 0 300px rgba(255,0,0,0.5);
    transform-origin: bottom right;
    animation: loadingAnimation 1.5s ease-in-out infinite;
  }
  
  @keyframes loadingAnimation {
    0%{
        transform: rotate(0deg);
    }
    60%{
        transform: rotate(90deg);
    }
    65%{
        transform: rotate(85deg);
    }
    70%{
        transform: rotate(90deg);
    }
    75%{
        transform: rotate(87.5deg);
    }
    80%, 100%{
        transform: rotate(90deg);
    }
  }

  @keyframes animateLoadingSurface {
    0% {
      transform: translateX(0px);
    }
    100% {
      transform: translateX(-7.5rem);
    }
  }

  .loadingtext{
    position: fixed;
    bottom: 15rem;
    font-size: 2rem;
    font-weight: 600;
    color: var(--main-color);
  }
